JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class OaIdl.DESCKIND

    java.lang.Object
      com.sun.jna.platform.win32.OaIdl.DESCKIND

Direct Known Subclasses:
  OaIdl.DESCKIND.ByReference

Enclosing interface:
  OaIdl

    public static class OaIdl.DESCKIND

extends java.lang.Object

Nested Class Summary
`static class` `OaIdl.DESCKIND.ByReference`

Field Summary
`static int` `DESCKIND_FUNCDESC`
`static int` `DESCKIND_IMPLICITAPPOBJ`
`static int` `DESCKIND_MAX`
`static int` `DESCKIND_NONE`
`static int` `DESCKIND_TYPECOMP`
`static int` `DESCKIND_VARDESC`

Constructor Summary
`OaIdl.DESCKIND()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCKIND_NONE

    public static final int DESCKIND_NONE

See Also:
  Constant Field Values

### DESCKIND_FUNCDESC

    public static final int DESCKIND_FUNCDESC

See Also:
  Constant Field Values

### DESCKIND_VARDESC

    public static final int DESCKIND_VARDESC

See Also:
  Constant Field Values

### DESCKIND_TYPECOMP

    public static final int DESCKIND_TYPECOMP

See Also:
  Constant Field Values

### DESCKIND_IMPLICITAPPOBJ

    public static final int DESCKIND_IMPLICITAPPOBJ

See Also:
  Constant Field Values

### DESCKIND_MAX

    public static final int DESCKIND_MAX

See Also:
  Constant Field Values

Constructor Detail

### OaIdl.DESCKIND

    public OaIdl.DESCKIND()

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.